For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate account level field definitions
      • DELDelete account level custom field definitions
      • GETList account level field definitions
      • PATCHUpdate account level custom field definitions

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceMetadata Fields

List account level field definitions

GET
https://api.frame.io/v4/accounts/:account_id/metadata/field_definitions
GET
/v4/accounts/:account_id/metadata/field_definitions
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.metadata_fields.metadata_field_definitions_index(
8 account_id="ae96e896-62f8-4688-a566-ebc8d880ff21",
9)
1{
2 "data": [
3 {
4 "field_type": "select",
5 "created_at": "2024-01-25T19:18:29.614189Z",
6 "creator_id": "7691308e-06ee-4f08-9adc-8a2d1a2a0acd",
7 "field_configuration": {
8 "options": [
9 {
10 "display_name": "Option 1",
11 "id": "f079de38-d268-4c62-8c4d-9a258b2efca2"
12 },
13 {
14 "display_name": "Option 2",
15 "id": "6288e75c-cff7-48cc-865f-71e0bebe9b16"
16 }
17 ],
18 "enable_add_new": false
19 },
20 "id": "f8357771-d1e0-4e57-b24d-bbe7907e85a0",
21 "mutable": true,
22 "name": "Fields definition name",
23 "updated_at": "2024-02-07T16:44:41.986478Z"
24 },
25 {
26 "field_type": "select",
27 "created_at": "2024-01-25T19:18:29.614189Z",
28 "creator_id": "c67b7081-14c9-4b32-9230-a7d78ba9ad9c",
29 "field_configuration": {
30 "options": [
31 {
32 "display_name": "Option 1",
33 "id": "edef649b-f7e6-4844-acc7-a05df4ddbcf6"
34 },
35 {
36 "display_name": "Option 2",
37 "id": "f7c6e080-5340-4510-8856-65d1146145e5"
38 }
39 ],
40 "enable_add_new": false
41 },
42 "id": "903b61a4-9bea-4dec-9cd4-7008ca1fef57",
43 "mutable": true,
44 "name": "Fields definition name",
45 "updated_at": "2024-02-07T16:44:41.986478Z"
46 }
47 ],
48 "links": {
49 "next": "/v4/accounts/123/metadata/field_definitions"
50 },
51 "total_count": 10
52}

List account level field definitions.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Update account level custom field definitions

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String

Query parameters

filtersobjectOptional
Filter parameters
includeenumOptional
Include query parameter for metadata field definitions
Allowed values:
sortenumOptional
Sort field definitions by query params
Allowed values:
afterstringOptional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
datalist of objects
Field definitions
linksobject
Links to paginated data
total_countinteger or null
Total count

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error